[arch-commits] Commit in gettext-mono/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Sun Apr 5 21:46:18 EDT 2009


    Date: Sunday, April 5, 2009 @ 21:46:18
  Author: eric
Revision: 33919

upgpkg: gettext-mono 0.17-3
    Added license

Modified:
  gettext-mono/trunk/PKGBUILD

----------+
 PKGBUILD |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-06 01:38:10 UTC (rev 33918)
+++ PKGBUILD	2009-04-06 01:46:18 UTC (rev 33919)
@@ -3,29 +3,29 @@
 
 pkgname=gettext-mono
 pkgver=0.17
-pkgrel=2
+pkgrel=3
 pkgdesc="mono assemblies for GNU internationalization library"
 arch=(i686 x86_64)
 url="http://www.gnu.org/software/gettext"
+license=('GPL3')
 depends=('gcc' 'mono>=1.9')
 source=(ftp://ftp.gnu.org/pub/gnu/gettext/gettext-$pkgver.tar.gz)
 md5sums=('58a2bc6d39c0ba57823034d55d65d606')
 
 build() {
   # get rid of that .wapi errors; thanks to brice
-  mkdir -p $startdir/pkg/weird
-  export MONO_SHARED_DIR=$startdir/pkg/weird
+  mkdir -p $srcdir/weird
+  export MONO_SHARED_DIR=$srcdir/weird
             
-  cd $startdir/src/gettext-$pkgver
-  ./configure --prefix=/usr --enable-csharp=mono
+  cd $srcdir/gettext-$pkgver
+  ./configure --prefix=/usr --enable-csharp=mono || return 1
   make || return 1
  # libraries are installed manually
   install -Dm644 gettext-runtime/intl-csharp/GNU.Gettext.dll \
-    $startdir/pkg/usr/lib/GNU.Gettext.dll
+    $pkgdir/usr/lib/GNU.Gettext.dll || return 1
   install -Dm644 gettext-tools/src/msgfmt.net.exe \
-    $startdir/pkg/usr/lib/gettext/msgfmt.net.exe
+    $pkgdir/usr/lib/gettext/msgfmt.net.exe || return 1
   install -Dm644 gettext-tools/src/msgunfmt.net.exe \
-    $startdir/pkg/usr/lib/gettext/msgunfmt.net.exe
-  rm -rf $startdir/pkg/weird
+    $pkgdir/usr/lib/gettext/msgunfmt.net.exe || return 1
 }
 # vim: ft=sh ts=2 et



More information about the arch-commits mailing list